android eclipse插件找不到有效的path

我刚刚安装了最新的伽利略eclipse版本。 我添加了最新的adt插件,并将其configuration为使用我的android sdk(r4)。 不幸的是,eclipse插件是wiggin出来的。 由于某种原因,它无法find(执行?)Android工具。 我在eclipse项目上得到这个错误:

执行aapt时出错。 请检查aapt目前在〜/ android-sdk-linux_86 / platforms / android-1.6 / tools / aapt

但是这里是ls的输出:

ls -al ~/android-sdk-linux_86/platforms/android-1.6/tools/aapt -rwxrwxrwx 1 solid solid 3416259 2009-12-18 21:02 /home/solid/android-sdk-linux_86/platforms/android-1.6/tools/aapt 

当我尝试直接运行程序时,我看到以下内容:

 ~/android-sdk-linux_86/platforms/android-1.6/tools/aapt bash: /home/solid/android-sdk-linux_86/platforms/android-1.6/tools/aapt: No such file or directory 

我只是解压SDK,并安装了平台,我知道它在那里。

我已经尝试从命令行(工作)重新创build项目,但是当我将它导入到Eclipse时,我得到了同样的错误。

顺便说一句,这是Linux和AMD 64

Solutions Collecting From Web of "android eclipse插件找不到有效的path"

这里有点不对劲。 这两条线相互矛盾:

 $ ls -al ~/android-sdk-linux_86/platforms/android-1.6/tools/aapt -rwxrwxrwx 1 solid solid 3416259 2009-12-18 21:02 /home/solid/android-sdk-linux_86/platforms/android-1.6/tools/aapt $ ~/android-sdk-linux_86/platforms/android-1.6/tools/aapt bash: /home/solid/android-sdk-linux_86/platforms/android-1.6/tools/aapt: No such file or directory 

该文件不能一时存​​在,接下来就不复存在了。

我不认为这是由amd64运行引起的,因为我怀疑这会给你一个不同的,更具描述性的错误。 这就是说,请确保你已经安装了ia32-libs:

 # Assuming you're on Ubuntu $ apt-get install ia32-libs 

我唯一的build议是尝试彻底删除您的SDK安装,并从头开始重新安装。